BAE的PHP版本SDK引入报错

夕拾贰 发布于 2013/05/07 21:39
阅读 598
收藏 0
function wp_mail( $to, $subject, $message, $headers = '', $attachments = array() ) {
    require_once ABSPATH . WPINC . '/Bcms.class.php';
    $bcms = new Bcms();
    $ret = $bcms->mail(BCMS_QUEUE, "<!--HTML-->".$message, array($to), array(Bcms::MAIL_SUBJECT=>$subject));
    if (false === $ret) {
        return false;
    } else {
        return true;
    }
}

为什么引入

require_once ABSPATH . WPINC . '/Bcms.class.php';
会报错?

我已经把PHP版本的SDK复制到了当前目录, 但是我查看日志一直报 

PHP Fatal error: Cannot redeclare class BaeException in wwwdata/codefs/1.jiangyong.duapp.com/wp-includes/lib/BaeException.class.php on line 18 

这个错误。

function wp_mail( $to, $subject, $message, $headers = '', $attachments = array() ) {
    //require_once ABSPATH . WPINC . '/Bcms.class.php';
    //$bcms = new Bcms();
    $ret = true; //$bcms->mail(BCMS_QUEUE, "<!--HTML-->".$message, array($to), array(Bcms::MAIL_SUBJECT=>$subject));
    if (false === $ret) {
        return false;
    } else {
        return true;
    }
}

这样就不会错了。。

郁闷的。

加载中
0
夕拾贰
夕拾贰

自己搞定了。。

把这行

require_once ABSPATH . WPINC . '/Bcms.class.php';
注释掉就可以了。

搞不懂为什么,我又没有在其他的地方引入过。

0
joshuazhan
joshuazhan

BCMS的SDK应该已经在BAE的PHP runtime里,直接用就行,不需要require,否则会报错

个人猜测,应为我把SDK文件全删了邮件也能正常发送

返回顶部
顶部